YllowDnk
Enthusiast
Enthusiast

correct upgrade path 6.0 --> 6.7 U1 ?

Hello,

i have an environment with 2 x Windows vCenter Server 6.0 & 2 x external PSC on Appliance 6.0. These PSC's / vCenters are configured for enhanced linked mode and use the same SSO-Domain. Data is replicated between both PSC's. vCenters can both be managed via one Webclient.

The goal is to migrate both vcenters to vCSA 6.7U1 with embedded PSC & embedded linked mode. I'm little bit confused. Many documentation say that if i have more then one external PSC i have to update all PSC's first, then vCenter:

1. Should i upgrade both PSC's first to 6.7 U1 via "update" option in the vCSA Installer ISO.

2. Then Migrating both vCenter Servers to vCSA 6.7 U1 via Migration Utility ?

3. And then use the convergence tool in 6.7 U1 iso to migrate from external to embedded PSC ?

or

As far as i know the migration utility in 6.7 U1 is able to migrate embedded & external deployments.

But when i try to start the migration utility on one of the windows vCenters i get the error you can see in the attachement.

Do i have to remove Enhanced Linked Mode first ?

Help appreciated. Thanks.

Dnk

0 Kudos
1 Reply
YllowDnk
Enthusiast
Enthusiast

Hello,

I found this path finder tool:

https://vspherecentral.vmware.com/path-finder/vsphere-6-7-topology-and-upgrade-planning-tool

I guess i was on the right track.

1. Should i upgrade both PSC's first to 6.7 U1 via "update" option in the vCSA Installer ISO.

2. Then Migrating both vCenter Servers to vCSA 6.7 U1 via Migration Utility ?

3. And then use the convergence tool in 6.7 U1 iso to migrate from external to embedded PSC ?

So this guideline should work.

But at Point 2 i still get this error message when using the Migration Utility to migrate Windows vCenter Server 6.0 to vCSA 6.7 U1:

"Cannot upgrade vCenter Server (Appliance) with an embedded Platform Services Controller, because Platform Services Controller is installed remotly on x.x.x.x."

Regards

Dnk

0 Kudos